apiVersion: carto.run/v1alpha1
kind: Workload
metadata:
  name: tanzu-java-web-app
  labels:
    apps.tanzu.vmware.com/workload-type: web
    apps.tanzu.vmware.com/has-tests: "true"
    apps.tanzu.vmware.com/auto-configure-actuators: "true"
    app.kubernetes.io/part-of: tanzu-java-web-app
spec:
  build:
    env:
      - name: BP_JVM_VERSION
        value: "11"
  params:
    - name: annotations
      value:
        autoscaling.knative.dev/minScale: "1"
    - name: testing_pipeline_matching_labels
      value:
        apps.tanzu.vmware.com/pipeline: test
        apps.tanzu.vmware.com/language: maven
    - name: api_descriptor
      value:
        type: openapi
        location:
          path: "/v3/api-docs"
        owner: sample-team
        system: sample
        description: "A set of API endpoints."
  source:
    git:
      url: https://gitlab.com/bluehippiedev/samples/tanzu-java-web-app.git
      ref:
        branch: main
